curl --request GET \
--url https://api.gcore.com/cdn/statistics/aliases_usage/aggregated \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cdn/statistics/aliases_usage/aggregated"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/statistics/aliases_usage/aggregated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": {
"1": {
"metrics": {
"alias_usage": 1
}
}
}
}Aggregated alias usage statistics
Get the number of aliases in use.
Request URL parameters should be added as a query string after the endpoint.
The requested period is always expanded to whole calendar months, so a request for part of a month returns the count for its entire containing month.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Beginning of the requested time period (ISO 8601/RFC 3339 format, UTC.)
End of the requested time period (ISO 8601/RFC 3339 format, UTC.)
Output data grouping.
Possible value:
- resource - Data is grouped by CDN resources.
CDN resources IDs by that statistics data is grouped.
To request multiple values, use:
- &resource=1&resource=2
If CDN resource ID is not specified, data related to all CDN resources is returned.
The way the parameters are arranged in the response.
Possible values:
- true – Flat structure is used.
- false – Embedded structure is used (default.)
Response
Successful.
Resources IDs by which statistics data is grouped.
CDN resource ID for which statistics data is shown.
Client IDs by which statistics data is grouped.
Client ID for which statistics data is shown.
Statistics parameters.
Show child attributes
Show child attributes
Was this page helpful?